dpkg-scanpackages(1)

NOMBRE
dpkg-scanpackages - Creación de ficheros de índice «Packages»

SINOPSIS
dpkg-scanpackages [opción...] directorio-binario [fichero-anulación [prefijo-ruta]] > Packages

DESCRIPCIÓN
dpkg-scanpackages busca paquetes binarios de Debian en un árbol de directorios, creando un fichero «Packages» usado por dselect(8) y otros para mostrar al usuario los paquetes disponibles para su instalación. Estos ficheros «Packages» son idénticos a los presentes en los archivos de Debian en Internet o en los discos ópticos. dpkg-scanpackages se puede utilizar para crear un directorio local con paquetes a instalar en una o varias máquinas.

Note: If you want to access the generated Packages file with apt you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt ignores uncompressed Packages files except on local access (i.e. file:// sources).

directorio-binario es el nombre del árbol de directorios que contiene los paquetes binarios a procesar (por ejemplo, contrib/binary-i386). Se recomienda que este directorio sea relativo al directorio principal del archivo de Debian, ya que todo fichero listado en el nuevo fichero «Packages» empezará por esta cadena de caracteres.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

prefijo-ruta es una cadena opcional que se antepondrá a los campos «Filename».

En caso de existir más de una versión de un paquete, sólo se mostrará la última por la salida. Si comparten la misma versión pero difieren en la arquitectura, sólo se usará el primero.

OPCIONES

-t, --type tipo
    Busca paquetes «*.tipo» en vez de «*.deb».

-e, --extra-override fichero
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch arquitectura
    Usa un patrón que consiste de *_all.deb y *_arch.deb, en lugar de buscar todos los «.deb».

-h, --hash hash-list
    Only generate file hashes for the comma-specified list specified (since dpkg 1.17.14). The default is to generate all currently supported hashes. Supported values: md5, sha1, sha256.

-m, --multiversion
    Incluye en la salida todos los paquetes encontrados.

-M, --medium cadena-identificación
    Add an X-Medium field containing the value id-string (since dpkg 1.15.5). This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

DIAGNÓSTICOS
dpkg-scanpackages devuelve los errores auto-explicativos habituales. Además, genera avisos sobre paquetes presentes en un subdirectorio equivocado, duplicados, que tienen un campo «Filename» en su fichero de control, no aparecen en el fichero de anulación, o que contienen alguna sustitución del responsable del paquete que no tiene efecto.

VÉASE TAMBIÉN
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.